net.sourceforge.pmd.cpd

## Class Tokens

- java.lang.Object
- - net.sourceforge.pmd.cpd.Tokens

    public class Tokens
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Tokens()`

### Method Summary

Methods
`void` `add(TokenEntry tokenEntry)`
`int` `getLineCount(TokenEntry mark, Match match)`
`List<TokenEntry>` `getTokens()`
`Iterator<TokenEntry>` `iterator()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Tokens

    public Tokens()

### Method Detail

#### add

    public void add(TokenEntry tokenEntry)

#### iterator

    public Iterator<TokenEntry> iterator()

#### size

    public int size()

#### getLineCount

    public int getLineCount(TokenEntry mark,
                   Match match)

#### getTokens

    public List<TokenEntry> getTokens()